/*style.css*/
.delivery-page h1 {
	margin-bottom: 31px;
}
.delivery-page .top-banner {
	background: linear-gradient(90deg, #3C0500 0%, #D21200 100%);
	border-radius: 20px;
	padding: 46px 43px 37px 43px;
	margin-bottom: 44px;
	line-height: 140%;
	height: 100%;
	color: #FFFFFF;
	display: flex;
	justify-content: space-between;
	align-items: stretch;
	gap: 20px;
	flex-wrap: wrap;
}
.delivery-page .top-banner img {
	max-width: 100%;
}
@media (max-width: 1399.98px) {
	.delivery-page .top-banner img {
		width: 390px;
	}
}
@media (max-width: 1199.98px) {
	.delivery-page .top-banner img {
		width: auto;
	}
}
.delivery-page .top-banner .left {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	gap: 20px;
}
.delivery-page .top-banner .title {
	font-weight: 700;
	font-size: 32px;
	margin-bottom: 21px;
	line-height: 140%;
}
.delivery-page .top-banner .subtitle {
	max-width: 338px;
}
.delivery-page .top-banner .bottom {
	display: flex;
	gap: 68px;
	flex-wrap: wrap;
}
.delivery-page .top-banner .bottom div:first-child {
	width: 234px;
}
.delivery-page .top-banner .bottom div:last-child {
	width: 259px;
}
.delivery-page .info-blocks {
	margin-bottom: 65px;
	display: flex;
	gap: 20px;
	justify-content: center;
	align-items: stretch;
}
.delivery-page .info-blocks .info-block {
	width: 33%;
	min-width: 350px;
	background: #F5F4F2;
	border-radius: 20px;
	padding: 0 25px 25px 25px;
}
.delivery-page .info-blocks .info-block .icon {
	margin-left: -13px;
}
.delivery-page .info-blocks .info-block .title {
	font-weight: 700;
	font-size: 20px;
	line-height: 130%;
	color: #000000;
	margin-bottom: 18px;
}
.delivery-page .info-blocks .info-block .text {
	font-size: 14px;
	line-height: 130%;
	color: #000000;
}
@media (max-width: 1199.98px) {
	.delivery-page .info-blocks {
		flex-wrap: wrap;
	}
}
@media (max-width: 555px) {
	.delivery-page .info-blocks .info-block {
		width: 100%;
	}
}
.delivery-calc-address-wrapper {
	display: flex;
	gap: 20px;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
	margin-bottom: 20px;
}
.delivery-calc-address {
	display: flex;
}
.delivery-calc-address input.delivery-address {
	width: 430px;
}
@media (min-width: 1000px) {
	.delivery-calc-address-wrapper {
		flex-wrap: nowrap;
	}
	.delivery-calc-address-wrapper .dsc {
		white-space: nowrap;
	}
	.delivery-calc-address, .delivery-calc-address .ai-input {
		width: 100%;
	}
}
.calc-result .phone a {
	font-size: 20px;
	text-decoration: none;
}
.calc-result {
	display: none;
	margin-top: 10px;
	align-items: center;
	gap: 20px;
	flex-wrap: wrap;
	margin-bottom: 1rem;
}
.calc-result .btn-custom, .calc-result p {
	margin: 0;
}
.calc-result .phone {
	display: flex;
	gap: 20px;
	align-items: center;
}
.delivery-marker-wrapper {
	position: relative;
}
.delivery-marker-wrapper .marker {
	position: absolute;
    border-radius: 20px;
    bottom: 20px;
    box-shadow: 0 4px 20px #413a5b26;
    color: white;
    height: auto;
    padding: 12px 16px;
    white-space: nowrap;
    width: auto;
	background: #2c2f39;
	font-family: Arial;
	transform: translateX(-50%);
}
.delivery-marker-wrapper::before {
	content: "";
	position: absolute;
	bottom: 0;
	width: 2px;
	height: 20px;
	background: #2c2f39;
}
.zones-wrapper {
	display: flex;
	gap: 47px;
	border: 1px solid rgba(0, 0, 0, 0.1);
	border-radius: 20px;
}
.zone-details {
	padding: 34px 0 34px 34px;
	width: 293px;
	min-width: 293px;
}
.zone-row {
	padding: 13px 0;
	border-bottom: 1px solid rgba(0, 0, 0, 0.1);
	font-size: 14px;
	line-height: 16px;
	display: flex;
	align-items: center;
}
.zone-row:last-child {
	padding-bottom: 0;
	border-bottom: none;
}
.zone-row .text {
	width: 32px;
}
.zone-row .text div:first-child {
	padding-bottom: 6px;
	border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}
.zone-row .text div:last-child {
	padding-top: 4px;
}
.zone-row .weight {
	width: 81px;
	line-height: 58px;
	border-radius: 6px;
	text-align: center;
	font-weight: 700;
	font-size: 20px;
}
.zone-1 .weight {
	background: #EFFBEF;
	color: #5ACF5F;
}
.zone-2 .weight {
	background: rgba(255, 191, 0, 0.1);
	color: #FFBF00;
}
.zone-3 .weight {
	background: rgba(210, 18, 0, 0.1);
	color: #D21200;
}
.zone-row .cost div {
	padding: 0 12px;
}
.zone-row .cost div:first-child {
	padding-bottom: 6px;
	border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}
.zone-row .cost div:last-child {
	padding-top: 4px;
}
.zone-call, .zone-no {
	gap: 13px;
}
#delivery-calc-map {
	width: 100%;
	height: 453px;
	border-radius: 20px;
	overflow: hidden;
}
.delivery-calc-address .delivery-geo-button {
	width: 68px;
	min-width: 68px;
	z-index: 10;
	position: relative;
	overflow: hidden;
	margin-left: -10px;
}
.delivery-calc-address .delivery-geo-button img {
	max-width: 100%;
	max-height: 100%;
	margin-left: -4px;
}
.zone-details img {
	min-width: 40px;
}
.delivery-calc-address-wrapper {
	display: none;
}
@media (min-width: 768px) {
	.delivery-calc-address-wrapper.desktop {
		display: block;
		margin-bottom: 20px;
	}
	.zones-wrapper {
		margin-bottom: 66px;
	}
}
@media (max-width: 767.98px) {
	.delivery-calc-address-wrapper.mobile {
		display: block;
		margin-top: 10px;
		margin-bottom: 66px;
	}
	.zones-wrapper {
		flex-wrap: wrap;
		gap: 0;
	}
	.zone-details {
		padding: 20px;
		width: auto;
		min-width: auto;
	}
	.delivery-calc-address, .delivery-calc-address .ai-input, .delivery-calc-address input.delivery-address {
		width: 100%;
	}
	.delivery-calc-address .delivery-geo-button {
		width: 61px;
		min-width: 61px;
		z-index: 10;
		position: relative;
		overflow: hidden;
		margin-left: -10px;
	}
}
